Bug 159371

Summary: WebProcesses don't handle DatabaseProcess going away uncleanly.
Product: WebKit Reporter: Brady Eidson <beidson>
Component: WebCore Misc.Assignee: Brady Eidson <beidson>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, alecflett, ap, commit-queue, jsbell, sam
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=155506
Bug Depends on:    
Bug Blocks: 149117    
Attachments:
Description Flags
Patch
none
Patch none

Description Brady Eidson 2016-07-01 14:08:51 PDT
WebProcesses doen't handle DatabaseProcess going away uncleanly

This is the flip side of https://bugs.webkit.org/show_bug.cgi?id=158894
Comment 1 Brady Eidson 2016-07-01 17:07:03 PDT
Created attachment 282610 [details]
Patch
Comment 2 Brady Eidson 2016-07-01 17:07:56 PDT
This patch is a WIP - The source changes are likely good, the test isn't complete.

Just attaching so I can have easy access at home later.
Comment 3 Brady Eidson 2016-07-03 09:06:11 PDT
Created attachment 282659 [details]
Patch
Comment 4 Alex Christensen 2016-07-04 00:46:25 PDT
Comment on attachment 282659 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=282659&action=review

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/IndexedDBDatabaseProcessKill.mm:96
> +    // Allow file URLs to load non-file resources
> +    [configuration _setAllowUniversalAccessFromFileURLs:YES];

This comment doesn't seem necessary.

> Tools/TestWebKitAPI/Tests/WebKit2Cocoa/IndexedDBDatabaseProcessKill.mm:121
> +    EXPECT_EQ(receivedAtLeastOneOpenError, true);

EXPECT_TRUE
Comment 5 WebKit Commit Bot 2016-07-04 08:31:22 PDT
Comment on attachment 282659 [details]
Patch

Clearing flags on attachment: 282659

Committed r202809: <http://trac.webkit.org/changeset/202809>
Comment 6 WebKit Commit Bot 2016-07-04 08:31:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Brady Eidson 2016-07-04 08:34:04 PDT
Will make those test tweaks in a follow up